# class toThread

Used to create new threads of execution. More...

Definition | `#include <tothread.h>`
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toThread (toTask *)
- ~toThread ()
- void start (void)
- void startAsync (void)
- toThread (toTask *task)
- ~toThread ()
- void start (void)
- void startAsync (void)

#### Public Static Methods

- static void msleep (int msec)
- static bool mainThread (void)
- static void msleep (int msec)
- static bool mainThread (void)

#### Public Members

- friend class taskRunner

## Detailed Description

Used to create new threads of execution. When a thread exits it will delete the thread and task objects so the calling thread must never delete a started thread.

toThread (toTask *)

### toThread

~toThread ()

### ~toThread

void start (void)

### start

void startAsync (void)

### startAsync

void msleep (int msec)

### msleep

[static]

bool mainThread (void)

### mainThread

[static]

friend class taskRunner

### taskRunner

toThread (toTask *task)

### toThread

Create thread.

Parameters:

task | Task to run.

~toThread ()

### ~toThread

void start (void)

### start

Start thread and wait for other thread to start running.

void startAsync (void)

### startAsync

Start thread and continue executing this thread until normal scheduling handles over execution to child thread.

void msleep (int msec)

### msleep

[static]

Sleep in milliseconds.

bool mainThread (void)

### mainThread

[static]

Returns true if this is the main thread.

Generated by: nneul on skyhawk on Wed Feb 23 19:49:58 2005, using kdoc 2.0a54.